minetest.register_node("electricity:infinite_electricity", {description = "Infinite electricity", groups = {crumbly = 3, source = 1}, on_construct = set_resis(0.10000000000000001), on_destruct = reset_current, paramtype2 = "facedir", tiles = {"loria_test.png", "loria_test.png", "loria_test.png", "loria_test.png", "electricity_minus.png", "electricity_plus.png"}})
local _e2_88_9a2 = math.sqrt(2)
local inf_emf = (220 * _e2_88_9a2)
local function _0_(pos, id)
  local device_name = ("v" .. id)
  return twopole("voltage", id, pos, real(inf_emf))
end
model["electricity:infinite_electricity"] = _0_
minetest.register_node("electricity:infinite_consumer", {description = "Infinite consumer", groups = {conductor = 1, crumbly = 3}, on_construct = set_resis(5), on_destruct = reset_current, paramtype2 = "facedir", tiles = {"loria_test.png^[colorize:#ff000050", "loria_test.png^[colorize:#ff000050", "loria_test.png^[colorize:#ff000050", "loria_test.png^[colorize:#ff000050", "electricity_minus.png^[colorize:#ff000050", "electricity_plus.png^[colorize:#ff000050"}})
model["electricity:infinite_consumer"] = consumer
minetest.register_node("electricity:heavy_infinite_consumer", {description = "Infinite consumer", groups = {conductor = 1, crumbly = 3}, on_construct = set_resis(50), on_destruct = reset_current, paramtype2 = "facedir", tiles = {"loria_test.png^[colorize:#00ff0050", "loria_test.png^[colorize:#00ff0050", "loria_test.png^[colorize:#00ff0050", "loria_test.png^[colorize:#00ff0050", "electricity_minus.png^[colorize:#00ff0050", "electricity_plus.png^[colorize:#00ff0050"}})
model["electricity:heavy_infinite_consumer"] = consumer
return nil
